<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides User Payment functions
 *
 * @package    OSB
 * @subpackage Payment
 * @category   Controllers/User
 * @author     Deon George
 * @copyright  (c) 2010 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Controller_User_Payment extends Controller_TemplateDefault_User {
	protected $secure_actions = array(
		'list'=>TRUE,
	);

	/**
	 * Show a payments received
	 */
	public function action_list() {
		Block::add(array(
			'title'=>sprintf('%s: %s - %s',_('Payments For'),$this->ao->accnum(),$this->ao->name(TRUE)),
			'body'=>View::factory('payment/user/list')
				->set('payments',$this->ao->payment->find_all()),
			));
	}
}
?>
